Last modified: 2012-04-19 21:43:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20606 - Internal Links: Long page names are not displayed fully
Internal Links: Long page names are not displayed fully
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal minor (vote)
: ---
Assigned To: Trevor Parscal
http://usability.wikimedia.org/wiki/R...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-11 20:39 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Dropdown with system suggested page names (30.00 KB, image/jpeg)
2009-09-11 20:39 UTC, Calcey QA
Details

Description Calcey QA 2009-09-11 20:39:33 UTC
Created attachment 6543 [details]
Dropdown with system suggested page names 

Reporting against Babaco Release. (Hosted on http://prototype.wikimedia.org)

Steps to Reproduce ::
1)Create few pages with long names with same prefix (e.g QANavigableTOCTESTONLY, QANavigableTOCTESTONLY2 etc)
2)Start creating a new page
3)Click on Link icon
4)Type part of the page name (common)

<<System suggest pages. The page names are not fully displayed. All have same text (Please see the attachment) >>

 


Expected Outcome ::
The page names shall be displayed fully for user to select correct page.


Test Environment (Client) ::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Windows NT 6.0
Screen Width x Height: 	1280 x 800
Screen Color Depth: 	32
Comment 1 Calcey QA 2009-09-12 19:40:19 UTC
This is applicable for the section names too.
Comment 2 Trevor Parscal 2009-09-25 23:23:39 UTC
I've made improvements to autoEllipse - we should probably start using it on the TOC.
Comment 3 Roan Kattouw 2009-09-26 10:21:39 UTC
(In reply to comment #2)
> I've made improvements to autoEllipse - we should probably start using it on
> the TOC.
> 

These improvements (r56934) fix the issue as filed. The section names issue described in comment #1 is a more generic case of bug 20599.
Comment 4 Calcey QA 2009-09-28 06:06:15 UTC
Tested in all the browsers other than IE.
Working fine.
Comment 5 Calcey QA 2009-09-29 05:01:53 UTC
Added keyword babaco to the bug

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links